slepc-3.21.1 2024-04-26
Report Typos and Errors

# VecCompSetSubVecs

Resets the number of subvectors defining a compound vector, or replaces the subvectors.

### Synopsis

    #include "slepcvec.h"
    PetscErrorCode VecCompSetSubVecs(Vec win,PetscInt n,Vec *x)

Collective

### Input Parameters

| win | - compound vector
| n | - number of child vectors
| x | - array of child vectors

### Note

It is not possible to increase the number of subvectors with respect to the number set at its creation.

### See Also

VecCreateComp(), VecCompGetSubVecs()

### Level

developer

### Location

src/sys/vec/veccomp.c
Index of all sys routines
Table of Contents for all manual pages
Index of all manual pages